Main Page Packages Class Hierarchy Compound List File List Compound Members

# DOMTestCase Class Reference

Inherits DOMTest.

Inherited by attrcreatedocumentfragment, attrcreatetextnode, attrcreatetextnode2, attrdefaultvalue, attreffectivevalue, attrentityreplacement, attrname, attrnextsiblingnull, attrnotspecifiedvalue, attrparentnodenull, attrprevioussiblingnull, attrsetvaluenomodificationallowederr, attrsetvaluenomodificationallowederrEE, attrspecifiedvalue, attrspecifiedvaluechanged, attrspecifiedvalueremove, cdatasectiongetdata, cdatasectionnormalize, characterdataappenddata, characterdataappenddatagetdata, characterdataappenddatanomodificationallowederr, characterdataappenddatanomodificationallowederrEE, characterdatadeletedatabegining, characterdatadeletedataend, characterdatadeletedataexceedslength, characterdatadeletedatagetlengthanddata, characterdatadeletedatamiddle, characterdatadeletedatanomodificationallowederr, characterdatadeletedatanomodificationallowederrEE, characterdatagetdata, characterdatagetlength, characterdataindexsizeerrdeletedatacountnegative, characterdataindexsizeerrdeletedataoffsetgreater, characterdataindexsizeerrdeletedataoffsetnegative, characterdataindexsizeerrinsertdataoffsetgreater, characterdataindexsizeerrinsertdataoffsetnegative, characterdataindexsizeerrreplacedatacountnegative, characterdataindexsizeerrreplacedataoffsetgreater, characterdataindexsizeerrreplacedataoffsetnegative, characterdataindexsizeerrsubstringcountnegative, characterdataindexsizeerrsubstringnegativeoffset, characterdataindexsizeerrsubstringoffsetgreater, characterdatainsertdatabeginning, characterdatainsertdataend, characterdatainsertdatamiddle, characterdatainsertdatanomodificationallowederr, characterdatainsertdatanomodificationallowederrEE, characterdatareplacedatabegining, characterdatareplacedataend, characterdatareplacedataexceedslengthofarg, characterdatareplacedataexceedslengthofdata, characterdatareplacedatamiddle, characterdatareplacedatanomodificationallowederr, characterdatareplacedatanomodificationallowederrEE, characterdatasetdatanomodificationallowederr, characterdatasetdatanomodificationallowederrEE, characterdatasetnodevalue, characterdatasubstringexceedsvalue, characterdatasubstringvalue, commentgetcomment, documentcreateattribute, documentcreatecdatasection, documentcreatecomment, documentcreatedocumentfragment, documentcreateelement, documentcreateelementcasesensitive, documentcreateelementdefaultattr, documentcreateentityreference, documentcreateentityreferenceknown, documentcreateprocessinginstruction, documentcreatetextnode, documentgetdoctype, documentgetdoctypenodtd, documentgetelementsbytagnamelength, documentgetelementsbytagnametotallength, documentgetelementsbytagnamevalue, documentgetimplementation, documentgetrootnode, documentinvalidcharacterexceptioncreateattribute, documentinvalidcharacterexceptioncreateelement, documentinvalidcharacterexceptioncreateentref, documentinvalidcharacterexceptioncreatepi, documenttypegetdoctype, documenttypegetentities, documenttypegetentitieslength, documenttypegetentitiestype, documenttypegetnotations, documenttypegetnotationstype, domimplementationfeaturenoversion, domimplementationfeaturenull, domimplementationfeaturexml, elementaddnewattribute, elementassociatedattribute, elementchangeattributevalue, elementcreatenewattribute, elementgetattributenode, elementgetattributenodenull, elementgetelementempty, elementgetelementsbytagname, elementgetelementsbytagnameaccessnodelist, elementgetelementsbytagnamenomatch, elementgetelementsbytagnamespecialvalue, elementgettagname, elementinuseattributeerr, elementinvalidcharacterexception, elementnormalize, elementnotfounderr, elementremoveattribute, elementremoveattributeaftercreate, elementremoveattributenode, elementremoveattributenodenomodificationallowederr, elementremoveattributenodenomodificationallowederrEE, elementremoveattributenomodificationallowederr, elementremoveattributenomodificationallowederrEE, elementremoveattributerestoredefaultvalue, elementreplaceattributewithself, elementreplaceexistingattribute, elementreplaceexistingattributegevalue, elementretrieveallattributes, elementretrieveattrvalue, elementretrievetagname, elementsetattributenodenomodificationallowederr, elementsetattributenodenomodificationallowederrEE, elementsetattributenodenull, elementsetattributenomodificationallowederr, elementsetattributenomodificationallowederrEE, elementwrongdocumenterr, entitygetentityname, entitygetpublicid, entitygetpublicidnull, namednodemapchildnoderange, namednodemapgetnameditem, namednodemapinuseattributeerr, namednodemapnotfounderr, namednodemapnumberofnodes, namednodemapremovenameditem, namednodemapremovenameditemgetvalue, namednodemapremovenameditemreturnnodevalue, namednodemapreturnattrnode, namednodemapreturnfirstitem, namednodemapreturnlastitem, namednodemapreturnnull, namednodemapsetnameditem, namednodemapsetnameditemreturnvalue, namednodemapsetnameditemthatexists, namednodemapsetnameditemwithnewvalue, namednodemapwrongdocumenterr, nodeappendchild, nodeappendchildchildexists, nodeappendchilddocfragment, nodeappendchildgetnodename, nodeappendchildinvalidnodetype, nodeappendchildnewchilddiffdocument, nodeappendchildnodeancestor, nodeappendchildnomodificationallowederr, nodeappendchildnomodificationallowederrEE, nodeattributenodeattribute, nodeattributenodename, nodeattributenodetype, nodeattributenodevalue, nodecdatasectionnodeattribute, nodecdatasectionnodename, nodecdatasectionnodetype, nodecdatasectionnodevalue, nodechildnodes, nodechildnodesappendchild, nodechildnodesempty, nodecloneattributescopied, nodeclonefalsenocopytext, nodeclonegetparentnull, nodeclonenodefalse, nodeclonenodetrue, nodeclonetruecopytext, nodecommentnodeattributes, nodecommentnodename, nodecommentnodetype, nodecommentnodevalue, nodedocumentfragmentnodename, nodedocumentfragmentnodetype, nodedocumentfragmentnodevalue, nodedocumentnodeattribute, nodedocumentnodename, nodedocumentnodetype, nodedocumentnodevalue, nodedocumenttypenodename, nodedocumenttypenodetype, nodedocumenttypenodevalue, nodeelementnodeattributes, nodeelementnodename, nodeelementnodetype, nodeelementnodevalue, nodeentitynodeattributes, nodeentitynodename, nodeentitynodetype, nodeentitynodevalue, nodeentityreferencenodeattributes, nodeentityreferencenodename, nodeentityreferencenodetype, nodeentityreferencenodevalue, nodeentitysetnodevalue, nodegetfirstchild, nodegetfirstchildnull, nodegetlastchild, nodegetlastchildnull, nodegetnextsibling, nodegetnextsiblingnull, nodegetownerdocument, nodegetownerdocumentnull, nodegetprevioussibling, nodegetprevioussiblingnull, nodehaschildnodes, nodehaschildnodesfalse, nodeinsertbefore, nodeinsertbeforedocfragment, nodeinsertbeforeinvalidnodetype, nodeinsertbeforenewchilddiffdocument, nodeinsertbeforenewchildexists, nodeinsertbeforenodeancestor, nodeinsertbeforenodename, nodeinsertbeforenomodificationallowederr, nodeinsertbeforenomodificationallowederrEE, nodeinsertbeforerefchildnonexistent, nodeinsertbeforerefchildnull, nodelistindexequalzero, nodelistindexgetlength, nodelistindexgetlengthofemptylist, nodelistindexnotzero, nodelistreturnfirstitem, nodelistreturnlastitem, nodelisttraverselist, nodenotationnodeattributes, nodenotationnodename, nodenotationnodetype, nodenotationnodevalue, nodeparentnode, nodeparentnodenull, nodeprocessinginstructionnodeattributes, nodeprocessinginstructionnodename, nodeprocessinginstructionnodetype, nodeprocessinginstructionnodevalue, nodeprocessinginstructionsetnodevalue, noderemovechild, noderemovechildgetnodename, noderemovechildnode, noderemovechildnomodificationallowederr, noderemovechildnomodificationallowederrEE, noderemovechildoldchildnonexistent, nodereplacechild, nodereplacechildinvalidnodetype, nodereplacechildnewchilddiffdocument, nodereplacechildnewchildexists, nodereplacechildnodeancestor, nodereplacechildnodename, nodereplacechildnomodificationallowederr, nodereplacechildnomodificationallowederrEE, nodereplacechildoldchildnonexistent, nodesetnodevaluenomodificationallowederr, nodesetnodevaluenomodificationallowederrEE, nodetextnodeattribute, nodetextnodename, nodetextnodetype, nodetextnodevalue, nodevalue01, nodevalue02, nodevalue03, nodevalue04, nodevalue05, nodevalue06, nodevalue07, nodevalue08, nodevalue09, notationgetnotationname, notationgetpublicid, notationgetpublicidnull, notationgetsystemid, notationgetsystemidnull, processinginstructiongetdata, processinginstructiongettarget, processinginstructionsetdatanomodificationallowederr, processinginstructionsetdatanomodificationallowederrEE, textindexsizeerrnegativeoffset, textindexsizeerroffsetoutofbounds, textparseintolistofelements, textsplittextfour, textsplittextnomodificationallowederr, textsplittextnomodificationallowederrEE, textsplittextone, textsplittextthree, textsplittexttwo, and textwithnomarkup.

List of all members.

## Public Methods
| DOMTestCase ()
| DOMTestCase (DOMTestDocumentBuilderFactory factory)
abstract void | runTest () throws Throwable
void | setFramework (DOMTestFramework framework)
void | wait (int millisecond)
void | assertTrue (String assertID, boolean actual)
void | assertFalse (String assertID, boolean actual)
void | assertNull (String assertID, Object actual)
void | assertNotNull (String assertID, Object actual)
void | assertSame (String assertID, Object expected, Object actual)
void | assertInstanceOf (String assertID, Class cls, Object obj)
void | assertSize (String assertID, int expectedSize, NodeList collection)
void | assertSize (String assertID, int expectedSize, NamedNodeMap collection)
void | assertSize (String assertID, int expectedSize, Collection collection)
void | assertEqualsIgnoreCase (String assertID, String expected, String actual)
void | assertEqualsIgnoreCase (String assertID, Collection expected, Collection actual)
void | assertEqualsIgnoreCase (String assertID, List expected, List actual)
void | assertEquals (String assertID, String expected, String actual)
void | assertEquals (String assertID, int expected, int actual)
void | assertEquals (String assertID, double expected, double actual)
void | assertEquals (String assertID, Collection expected, NodeList actual)
void | assertEquals (String assertID, Collection expected, Collection actual)
void | assertNotEqualsIgnoreCase (String assertID, String expected, String actual)
void | assertNotEquals (String assertID, String expected, String actual)
void | assertNotEquals (String assertID, int expected, int actual)
void | assertNotEquals (String assertID, double expected, double actual)
void | assertURIEquals (String assertID, String scheme, String path, String host, String file, String query, String fragment, Boolean isAbsolute, String actual) throws java.net.MalformedURLException
boolean | same (Object expected, Object actual)
boolean | equalsIgnoreCase (String expected, String actual)
boolean | equalsIgnoreCase (Collection expected, Collection actual)
boolean | equalsIgnoreCase (List expected, List actual)
boolean | equals (String expected, String actual)
boolean | equals (int expected, int actual)
boolean | equals (double expected, double actual)
boolean | equals (Collection expected, Collection actual)
boolean | equals (List expected, List actual)
int | size (Collection collection)
int | size (NamedNodeMap collection)
int | size (NodeList collection)
## Static Public Methods
void | doMain (Class testClass, String[] args)

## Detailed Description

This is an abstract base class for generated DOM tests

Definition at line 62 of file DOMTestCase.java.

## Constructor & Destructor Documentation

DOMTestCase::DOMTestCase | ( |  | ) | `[inline]`

| This constructor is for DOMTestCase's that make specific demands for parser configuration. setFactory should be called before the end of the tests constructor to set the factory. Definition at line 71 of file DOMTestCase.java.
    00071                        {
    00072     framework = null;
    00073   }

DOMTestCase::DOMTestCase | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| This constructor is for DOMTestCase's that do not add any requirements for parser configuration. Definition at line 79 of file DOMTestCase.java.
    00079                                                             {
    00080     super(factory);
    00081     framework = null;
    00082   }

## Member Function Documentation

void DOMTestCase::assertEquals | ( | String | assertID,
|  | Collection | expected,
|  | Collection | actual
| ) | `[inline]`

| Definition at line 224 of file DOMTestCase.java. References DOMTestFramework::assertEquals().
    00224                                                                                     {
    00225     framework.assertEquals(this, assertID,expected,actual);
    00226   }

void DOMTestCase::assertEquals | ( | String | assertID,
|  | Collection | expected,
|  | NodeList | actual
| ) | `[inline]`

| Definition at line 215 of file DOMTestCase.java. References DOMTestFramework::assertEquals().
    00215                                                                                   {
    00216     Collection actualList = new ArrayList();
    00217     int actualLen = actual.getLength();
    00218     for(int i = 0; i < actualLen; i++) {
    00219       actualList.add(actual.item(i));
    00220     }
    00221     framework.assertEquals(this, assertID, expected,actualList);
    00222   }

void DOMTestCase::assertEquals | ( | String | assertID,
|  | double | expected,
|  | double | actual
| ) | `[inline]`

| Definition at line 211 of file DOMTestCase.java. References DOMTestFramework::assertEquals().
    00211                                                                             {
    00212     framework.assertEquals(this, assertID, expected,actual);
    00213   }

void DOMTestCase::assertEquals | ( | String | assertID,
|  | int | expected,
|  | int | actual
| ) | `[inline]`

| Definition at line 207 of file DOMTestCase.java. References DOMTestFramework::assertEquals().
    00207                                                                       {
    00208     framework.assertEquals(this, assertID, expected, actual);
    00209   }

void DOMTestCase::assertEquals | ( | String | assertID,
|  | String | expected,
|  | String | actual
| ) | `[inline]`

| Definition at line 203 of file DOMTestCase.java. References DOMTestFramework::assertEquals(). Referenced by textwithnomarkup::runTest(), textsplittexttwo::runTest(), textsplittextthree::runTest(), textsplittextone::runTest(), textsplittextfour::runTest(), textparseintolistofelements::runTest(), processinginstructiongettarget::runTest(), processinginstructiongetdata::runTest(), notationgetpublicid::runTest(), notationgetnotationname::runTest(), nodevalue09::runTest(), nodevalue02::runTest(), nodetextnodevalue::runTest(), nodetextnodetype::runTest(), nodetextnodename::runTest(), nodereplacechildnodename::runTest(), nodereplacechildnewchildexists::runTest(), nodereplacechild::runTest(), noderemovechildnode::runTest(), noderemovechildgetnodename::runTest(), nodeprocessinginstructionsetnodevalue::runTest(), nodeprocessinginstructionnodevalue::runTest(), nodeprocessinginstructionnodetype::runTest(), nodeprocessinginstructionnodename::runTest(), nodeparentnode::runTest(), nodenotationnodetype::runTest(), nodenotationnodename::runTest(), nodelisttraverselist::runTest(), nodelistreturnlastitem::runTest(), nodelistreturnfirstitem::runTest(), nodelistindexnotzero::runTest(), nodelistindexequalzero::runTest(), nodeinsertbeforerefchildnull::runTest(), nodeinsertbeforenodename::runTest(), nodeinsertbeforenewchildexists::runTest(), nodeinsertbeforedocfragment::runTest(), nodeinsertbefore::runTest(), nodegetprevioussibling::runTest(), nodegetownerdocument::runTest(), nodegetnextsibling::runTest(), nodegetlastchild::runTest(), nodegetfirstchild::runTest(), nodeentityreferencenodetype::runTest(), nodeentityreferencenodename::runTest(), nodeentitynodetype::runTest(), nodeentitynodename::runTest(), nodeelementnodetype::runTest(), nodeelementnodename::runTest(), nodeelementnodeattributes::runTest(), nodedocumenttypenodetype::runTest(), nodedocumenttypenodename::runTest(), nodedocumentnodetype::runTest(), nodedocumentnodename::runTest(), nodedocumentfragmentnodetype::runTest(), nodedocumentfragmentnodename::runTest(), nodecommentnodevalue::runTest(), nodecommentnodetype::runTest(), nodecommentnodename::runTest(), nodeclonetruecopytext::runTest(), nodeclonenodetrue::runTest(), nodeclonenodefalse::runTest(), nodecloneattributescopied::runTest(), nodecdatasectionnodevalue::runTest(), nodecdatasectionnodetype::runTest(), nodecdatasectionnodename::runTest(), nodeattributenodevalue::runTest(), nodeattributenodetype::runTest(), nodeattributenodename::runTest(), nodeappendchildgetnodename::runTest(), nodeappendchilddocfragment::runTest(), nodeappendchildchildexists::runTest(), nodeappendchild::runTest(), namednodemapsetnameditemthatexists::runTest(), namednodemapsetnameditemreturnvalue::runTest(), namednodemapsetnameditem::runTest(), namednodemapreturnattrnode::runTest(), namednodemapremovenameditemreturnnodevalue::runTest(), namednodemapremovenameditemgetvalue::runTest(), namednodemapnumberofnodes::runTest(), namednodemapgetnameditem::runTest(), namednodemapchildnoderange::runTest(), entitygetpublicid::runTest(), entitygetentityname::runTest(), elementretrievetagname::runTest(), elementretrieveattrvalue::runTest(), elementreplaceexistingattributegevalue::runTest(), elementreplaceexistingattribute::runTest(), elementremoveattributerestoredefaultvalue::runTest(), elementremoveattributenode::runTest(), elementremoveattribute::runTest(), elementnormalize::runTest(), elementgettagname::runTest(), elementgetelementsbytagnamespecialvalue::runTest(), elementgetelementsbytagnameaccessnodelist::runTest(), elementgetelementempty::runTest(), elementgetattributenode::runTest(), elementcreatenewattribute::runTest(), elementchangeattributevalue::runTest(), elementaddnewattribute::runTest(), documenttypegetnotationstype::runTest(), documenttypegetnotations::runTest(), documenttypegetentitiestype::runTest(), documenttypegetentities::runTest(), documenttypegetdoctype::runTest(), documentgetrootnode::runTest(), documentgetelementsbytagnamevalue::runTest(), documentgetdoctype::runTest(), documentcreatetextnode::runTest(), documentcreateprocessinginstruction::runTest(), documentcreateentityreferenceknown::runTest(), documentcreateentityreference::runTest(), documentcreateelementdefaultattr::runTest(), documentcreateelementcasesensitive::runTest(), documentcreateelement::runTest(), documentcreatedocumentfragment::runTest(), documentcreatecomment::runTest(), documentcreatecdatasection::runTest(), documentcreateattribute::runTest(), commentgetcomment::runTest(), characterdatasubstringvalue::runTest(), characterdatasubstringexceedsvalue::runTest(), characterdatasetnodevalue::runTest(), characterdatareplacedatamiddle::runTest(), characterdatareplacedataexceedslengthofdata::runTest(), characterdatareplacedataexceedslengthofarg::runTest(), characterdatareplacedataend::runTest(), characterdatareplacedatabegining::runTest(), characterdatainsertdatamiddle::runTest(), characterdatainsertdataend::runTest(), characterdatainsertdatabeginning::runTest(), characterdatagetlength::runTest(), characterdatagetdata::runTest(), characterdatadeletedatamiddle::runTest(), characterdatadeletedatagetlengthanddata::runTest(), characterdatadeletedataexceedslength::runTest(), characterdatadeletedataend::runTest(), characterdatadeletedatabegining::runTest(), characterdataappenddatagetdata::runTest(), characterdataappenddata::runTest(), cdatasectionnormalize::runTest(), cdatasectiongetdata::runTest(), attrname::runTest(), attrentityreplacement::runTest(), attreffectivevalue::runTest(), attrdefaultvalue::runTest(), attrcreatetextnode2::runTest(), attrcreatetextnode::runTest(), and attrcreatedocumentfragment::runTest().
    00203                                                                             {
    00204     framework.assertEquals(this, assertID, expected,actual);
    00205   }

void DOMTestCase::assertEqualsIgnoreCase | ( | String | assertID,
|  | List | expected,
|  | List | actual
| ) | `[inline]`

| Definition at line 199 of file DOMTestCase.java. References DOMTestFramework::assertEqualsIgnoreCase().
    00199                                                                                   {
    00200     framework.assertEqualsIgnoreCase(this, assertID, expected,actual);
    00201   }

void DOMTestCase::assertEqualsIgnoreCase | ( | String | assertID,
|  | Collection | expected,
|  | Collection | actual
| ) | `[inline]`

| Definition at line 195 of file DOMTestCase.java. References DOMTestFramework::assertEqualsIgnoreCase().
    00195                                                                                               {
    00196     framework.assertEqualsIgnoreCase(this, assertID, expected,actual);
    00197   }

void DOMTestCase::assertEqualsIgnoreCase | ( | String | assertID,
|  | String | expected,
|  | String | actual
| ) | `[inline]`

| Definition at line 191 of file DOMTestCase.java. References DOMTestFramework::assertEqualsIgnoreCase().
    00191                                                                                       {
    00192     framework.assertEqualsIgnoreCase(this, assertID, expected, actual);
    00193   }

void DOMTestCase::assertFalse | ( | String | assertID,
|  | boolean | actual
| ) | `[inline]`

| Definition at line 158 of file DOMTestCase.java. References DOMTestFramework::assertFalse(). Referenced by nodehaschildnodesfalse::runTest(), namednodemapremovenameditem::runTest(), attrspecifiedvalueremove::runTest(), and attrnotspecifiedvalue::runTest().
    00158                                                            {
    00159     framework.assertFalse(this,assertID,actual);
    00160   }

void DOMTestCase::assertInstanceOf | ( | String | assertID,
|  | Class | cls,
|  | Object | obj
| ) | `[inline]`

| Definition at line 174 of file DOMTestCase.java. References DOMTestFramework::assertInstanceOf(). Referenced by namednodemapreturnattrnode::runTest().
    00174                                                                        {
    00175     framework.assertInstanceOf(this,assertID, obj,cls);
    00176   }

void DOMTestCase::assertNotEquals | ( | String | assertID,
|  | double | expected,
|  | double | actual
| ) | `[inline]`

| Definition at line 240 of file DOMTestCase.java. References DOMTestFramework::assertNotEquals().
    00240                                                                                {
    00241     framework.assertNotEquals(this, assertID,expected,actual);
    00242   }

void DOMTestCase::assertNotEquals | ( | String | assertID,
|  | int | expected,
|  | int | actual
| ) | `[inline]`

| Definition at line 236 of file DOMTestCase.java. References DOMTestFramework::assertNotEquals().
    00236                                                                          {
    00237     framework.assertNotEquals(this, assertID, expected,actual);
    00238   }

void DOMTestCase::assertNotEquals | ( | String | assertID,
|  | String | expected,
|  | String | actual
| ) | `[inline]`

| Definition at line 232 of file DOMTestCase.java. References DOMTestFramework::assertNotEquals().
    00232                                                                                {
    00233     framework.assertNotEquals(this, assertID,expected,actual);
    00234   }

void DOMTestCase::assertNotEqualsIgnoreCase | ( | String | assertID,
|  | String | expected,
|  | String | actual
| ) | `[inline]`

| Definition at line 228 of file DOMTestCase.java. References DOMTestFramework::assertNotEqualsIgnoreCase().
    00228                                                                                          {
    00229     framework.assertNotEqualsIgnoreCase(this, assertID,expected,actual);
    00230   }

void DOMTestCase::assertNotNull | ( | String | assertID,
|  | Object | actual
| ) | `[inline]`

| Definition at line 166 of file DOMTestCase.java. References DOMTestFramework::assertNotNull(). Referenced by elementcreatenewattribute::runTest(), and documentcreateentityreference::runTest().
    00166                                                             {
    00167     framework.assertNotNull(this,assertID,actual);
    00168   }

void DOMTestCase::assertNull | ( | String | assertID,
|  | Object | actual
| ) | `[inline]`

| Definition at line 162 of file DOMTestCase.java. References DOMTestFramework::assertNull(). Referenced by notationgetsystemidnull::runTest(), notationgetpublicidnull::runTest(), nodevalue08::runTest(), nodevalue07::runTest(), nodevalue06::runTest(), nodevalue05::runTest(), nodevalue04::runTest(), nodevalue03::runTest(), nodevalue01::runTest(), nodetextnodeattribute::runTest(), noderemovechild::runTest(), nodeprocessinginstructionnodeattributes::runTest(), nodeparentnodenull::runTest(), nodenotationnodevalue::runTest(), nodenotationnodeattributes::runTest(), nodegetprevioussiblingnull::runTest(), nodegetownerdocumentnull::runTest(), nodegetnextsiblingnull::runTest(), nodegetlastchildnull::runTest(), nodegetfirstchildnull::runTest(), nodeentitysetnodevalue::runTest(), nodeentityreferencenodevalue::runTest(), nodeentityreferencenodeattributes::runTest(), nodeentitynodevalue::runTest(), nodeentitynodeattributes::runTest(), nodeelementnodevalue::runTest(), nodedocumenttypenodevalue::runTest(), nodedocumentnodevalue::runTest(), nodedocumentnodeattribute::runTest(), nodedocumentfragmentnodevalue::runTest(), nodeclonegetparentnull::runTest(), nodeclonefalsenocopytext::runTest(), nodecdatasectionnodeattribute::runTest(), nodeattributenodeattribute::runTest(), namednodemapsetnameditemwithnewvalue::runTest(), namednodemapreturnnull::runTest(), entitygetpublicidnull::runTest(), elementsetattributenodenull::runTest(), elementremoveattributeaftercreate::runTest(), elementgetattributenodenull::runTest(), elementcreatenewattribute::runTest(), documentgetdoctypenodtd::runTest(), documentgetdoctype::runTest(), documentcreateentityreference::runTest(), documentcreateelement::runTest(), documentcreatedocumentfragment::runTest(), attrprevioussiblingnull::runTest(), attrparentnodenull::runTest(), and attrnextsiblingnull::runTest().
    00162                                                          {
    00163     framework.assertNull(this,assertID,actual);
    00164   }

void DOMTestCase::assertSame | ( | String | assertID,
|  | Object | expected,
|  | Object | actual
| ) | `[inline]`

| Definition at line 170 of file DOMTestCase.java. References DOMTestFramework::assertSame(). Referenced by nodereplacechildnewchildexists::runTest(), and elementreplaceattributewithself::runTest().
    00170                                                                           {
    00171     framework.assertSame(this,assertID, expected, actual);
    00172   }

void DOMTestCase::assertSize | ( | String | assertID,
|  | int | expectedSize,
|  | Collection | collection
| ) | `[inline]`

| Definition at line 187 of file DOMTestCase.java. References DOMTestFramework::assertSize().
    00187                                                                                    {
    00188     framework.assertSize(this, assertID, expectedSize, collection);
    00189   }

void DOMTestCase::assertSize | ( | String | assertID,
|  | int | expectedSize,
|  | NamedNodeMap | collection
| ) | `[inline]`

| Definition at line 183 of file DOMTestCase.java. References DOMTestFramework::assertSize().
    00183                                                                                      {
    00184     framework.assertSize(this, assertID, expectedSize, collection);
    00185   }

void DOMTestCase::assertSize | ( | String | assertID,
|  | int | expectedSize,
|  | NodeList | collection
| ) | `[inline]`

| Definition at line 179 of file DOMTestCase.java. References DOMTestFramework::assertSize(). Referenced by nodelistindexgetlengthofemptylist::runTest(), nodelistindexgetlength::runTest(), nodechildnodesempty::runTest(), nodechildnodesappendchild::runTest(), nodechildnodes::runTest(), elementretrieveallattributes::runTest(), elementgetelementsbytagnamenomatch::runTest(), elementgetelementsbytagname::runTest(), documenttypegetentitieslength::runTest(), documenttypegetentities::runTest(), documentgetelementsbytagnametotallength::runTest(), documentgetelementsbytagnamelength::runTest(), documentcreateentityreferenceknown::runTest(), and documentcreateelementdefaultattr::runTest().
    00179                                                                                  {
    00180     framework.assertSize(this,assertID, expectedSize, collection);
    00181   }

void DOMTestCase::assertTrue | ( | String | assertID,
|  | boolean | actual
| ) | `[inline]`

| Definition at line 154 of file DOMTestCase.java. References DOMTestFramework::assertTrue(). Referenced by textsplittextnomodificationallowederrEE::runTest(), textsplittextnomodificationallowederr::runTest(), textindexsizeerroffsetoutofbounds::runTest(), textindexsizeerrnegativeoffset::runTest(), processinginstructionsetdatanomodificationallowederrEE::runTest(), processinginstructionsetdatanomodificationallowederr::runTest(), nodesetnodevaluenomodificationallowederrEE::runTest(), nodesetnodevaluenomodificationallowederr::runTest(), nodereplacechildoldchildnonexistent::runTest(), nodereplacechildnomodificationallowederrEE::runTest(), nodereplacechildnomodificationallowederr::runTest(), nodereplacechildnodeancestor::runTest(), nodereplacechildnewchilddiffdocument::runTest(), nodereplacechildinvalidnodetype::runTest(), noderemovechildoldchildnonexistent::runTest(), noderemovechildnomodificationallowederrEE::runTest(), noderemovechildnomodificationallowederr::runTest(), nodeinsertbeforerefchildnonexistent::runTest(), nodeinsertbeforenomodificationallowederrEE::runTest(), nodeinsertbeforenomodificationallowederr::runTest(), nodeinsertbeforenodeancestor::runTest(), nodeinsertbeforenewchilddiffdocument::runTest(), nodeinsertbeforeinvalidnodetype::runTest(), nodehaschildnodes::runTest(), nodeappendchildnomodificationallowederrEE::runTest(), nodeappendchildnomodificationallowederr::runTest(), nodeappendchildnodeancestor::runTest(), nodeappendchildnewchilddiffdocument::runTest(), nodeappendchildinvalidnodetype::runTest(), namednodemapwrongdocumenterr::runTest(), namednodemapreturnlastitem::runTest(), namednodemapreturnfirstitem::runTest(), namednodemapnotfounderr::runTest(), namednodemapinuseattributeerr::runTest(), elementwrongdocumenterr::runTest(), elementsetattributenomodificationallowederrEE::runTest(), elementsetattributenomodificationallowederr::runTest(), elementsetattributenodenomodificationallowederrEE::runTest(), elementsetattributenodenomodificationallowederr::runTest(), elementremoveattributenomodificationallowederrEE::runTest(), elementremoveattributenomodificationallowederr::runTest(), elementremoveattributenodenomodificationallowederrEE::runTest(), elementremoveattributenodenomodificationallowederr::runTest(), elementnotfounderr::runTest(), elementinvalidcharacterexception::runTest(), elementinuseattributeerr::runTest(), elementassociatedattribute::runTest(), domimplementationfeaturexml::runTest(), domimplementationfeaturenull::runTest(), domimplementationfeaturenoversion::runTest(), documentinvalidcharacterexceptioncreatepi::runTest(), documentinvalidcharacterexceptioncreateentref::runTest(), documentinvalidcharacterexceptioncreateelement::runTest(), documentinvalidcharacterexceptioncreateattribute::runTest(), documentgetimplementation::runTest(), characterdatasetdatanomodificationallowederrEE::runTest(), characterdatasetdatanomodificationallowederr::runTest(), characterdatareplacedatanomodificationallowederrEE::runTest(), characterdatareplacedatanomodificationallowederr::runTest(), characterdatainsertdatanomodificationallowederrEE::runTest(), characterdatainsertdatanomodificationallowederr::runTest(), characterdataindexsizeerrsubstringoffsetgreater::runTest(), characterdataindexsizeerrsubstringnegativeoffset::runTest(), characterdataindexsizeerrsubstringcountnegative::runTest(), characterdataindexsizeerrreplacedataoffsetnegative::runTest(), characterdataindexsizeerrreplacedataoffsetgreater::runTest(), characterdataindexsizeerrreplacedatacountnegative::runTest(), characterdataindexsizeerrinsertdataoffsetnegative::runTest(), characterdataindexsizeerrinsertdataoffsetgreater::runTest(), characterdataindexsizeerrdeletedataoffsetnegative::runTest(), characterdataindexsizeerrdeletedataoffsetgreater::runTest(), characterdataindexsizeerrdeletedatacountnegative::runTest(), characterdatadeletedatanomodificationallowederrEE::runTest(), characterdatadeletedatanomodificationallowederr::runTest(), characterdataappenddatanomodificationallowederrEE::runTest(), characterdataappenddatanomodificationallowederr::runTest(), attrspecifiedvaluechanged::runTest(), attrspecifiedvalue::runTest(), attrsetvaluenomodificationallowederrEE::runTest(), and attrsetvaluenomodificationallowederr::runTest().
    00154                                                           {
    00155     framework.assertTrue(this,assertID,actual);
    00156   }

void DOMTestCase::assertURIEquals | ( | String | assertID,
|  | String | scheme,
|  | String | path,
|  | String | host,
|  | String | file,
|  | String | query,
|  | String | fragment,
|  | Boolean | isAbsolute,
|  | String | actual
| ) | `[inline]`

| Definition at line 244 of file DOMTestCase.java. References DOMTestFramework::assertURIEquals(). Referenced by notationgetsystemid::runTest(), and entitygetpublicid::runTest().
    00244                                                                                                                                                                                                              {
    00245     framework.assertURIEquals(this, assertID, scheme, path, host, file, query, fragment, isAbsolute, actual);
    00246   }

void DOMTestCase::doMain | ( | Class | testClass,
|  | String | args[]
| ) | `[inline, static]`

| This method is called by the main() for each test and locates the appropriate test framework and runs the specified test Definition at line 89 of file DOMTestCase.java. Referenced by textwithnomarkup::main(), textsplittexttwo::main(), textsplittextthree::main(), textsplittextone::main(), textsplittextnomodificationallowederrEE::main(), textsplittextnomodificationallowederr::main(), textsplittextfour::main(), textparseintolistofelements::main(), textindexsizeerroffsetoutofbounds::main(), textindexsizeerrnegativeoffset::main(), processinginstructionsetdatanomodificationallowederrEE::main(), processinginstructionsetdatanomodificationallowederr::main(), processinginstructiongettarget::main(), processinginstructiongetdata::main(), notationgetsystemidnull::main(), notationgetsystemid::main(), notationgetpublicidnull::main(), notationgetpublicid::main(), notationgetnotationname::main(), nodevalue09::main(), nodevalue08::main(), nodevalue07::main(), nodevalue06::main(), nodevalue05::main(), nodevalue04::main(), nodevalue03::main(), nodevalue02::main(), nodevalue01::main(), nodetextnodevalue::main(), nodetextnodetype::main(), nodetextnodename::main(), nodetextnodeattribute::main(), nodesetnodevaluenomodificationallowederrEE::main(), nodesetnodevaluenomodificationallowederr::main(), nodereplacechildoldchildnonexistent::main(), nodereplacechildnomodificationallowederrEE::main(), nodereplacechildnomodificationallowederr::main(), nodereplacechildnodename::main(), nodereplacechildnodeancestor::main(), nodereplacechildnewchildexists::main(), nodereplacechildnewchilddiffdocument::main(), nodereplacechildinvalidnodetype::main(), nodereplacechild::main(), noderemovechildoldchildnonexistent::main(), noderemovechildnomodificationallowederrEE::main(), noderemovechildnomodificationallowederr::main(), noderemovechildnode::main(), noderemovechildgetnodename::main(), noderemovechild::main(), nodeprocessinginstructionsetnodevalue::main(), nodeprocessinginstructionnodevalue::main(), nodeprocessinginstructionnodetype::main(), nodeprocessinginstructionnodename::main(), nodeprocessinginstructionnodeattributes::main(), nodeparentnodenull::main(), nodeparentnode::main(), nodenotationnodevalue::main(), nodenotationnodetype::main(), nodenotationnodename::main(), nodenotationnodeattributes::main(), nodelisttraverselist::main(), nodelistreturnlastitem::main(), nodelistreturnfirstitem::main(), nodelistindexnotzero::main(), nodelistindexgetlengthofemptylist::main(), nodelistindexgetlength::main(), nodelistindexequalzero::main(), nodeinsertbeforerefchildnull::main(), nodeinsertbeforerefchildnonexistent::main(), nodeinsertbeforenomodificationallowederrEE::main(), nodeinsertbeforenomodificationallowederr::main(), nodeinsertbeforenodename::main(), nodeinsertbeforenodeancestor::main(), nodeinsertbeforenewchildexists::main(), nodeinsertbeforenewchilddiffdocument::main(), nodeinsertbeforeinvalidnodetype::main(), nodeinsertbeforedocfragment::main(), nodeinsertbefore::main(), nodehaschildnodesfalse::main(), nodehaschildnodes::main(), nodegetprevioussiblingnull::main(), nodegetprevioussibling::main(), nodegetownerdocumentnull::main(), nodegetownerdocument::main(), nodegetnextsiblingnull::main(), nodegetnextsibling::main(), nodegetlastchildnull::main(), nodegetlastchild::main(), nodegetfirstchildnull::main(), nodegetfirstchild::main(), nodeentitysetnodevalue::main(), nodeentityreferencenodevalue::main(), nodeentityreferencenodetype::main(), nodeentityreferencenodename::main(), nodeentityreferencenodeattributes::main(), nodeentitynodevalue::main(), nodeentitynodetype::main(), nodeentitynodename::main(), nodeentitynodeattributes::main(), nodeelementnodevalue::main(), nodeelementnodetype::main(), nodeelementnodename::main(), nodeelementnodeattributes::main(), nodedocumenttypenodevalue::main(), nodedocumenttypenodetype::main(), nodedocumenttypenodename::main(), nodedocumentnodevalue::main(), nodedocumentnodetype::main(), nodedocumentnodename::main(), nodedocumentnodeattribute::main(), nodedocumentfragmentnodevalue::main(), nodedocumentfragmentnodetype::main(), nodedocumentfragmentnodename::main(), nodecommentnodevalue::main(), nodecommentnodetype::main(), nodecommentnodename::main(), nodecommentnodeattributes::main(), nodeclonetruecopytext::main(), nodeclonenodetrue::main(), nodeclonenodefalse::main(), nodeclonegetparentnull::main(), nodeclonefalsenocopytext::main(), nodecloneattributescopied::main(), nodechildnodesempty::main(), nodechildnodesappendchild::main(), nodechildnodes::main(), nodecdatasectionnodevalue::main(), nodecdatasectionnodetype::main(), nodecdatasectionnodename::main(), nodecdatasectionnodeattribute::main(), nodeattributenodevalue::main(), nodeattributenodetype::main(), nodeattributenodename::main(), nodeattributenodeattribute::main(), nodeappendchildnomodificationallowederrEE::main(), nodeappendchildnomodificationallowederr::main(), nodeappendchildnodeancestor::main(), nodeappendchildnewchilddiffdocument::main(), nodeappendchildinvalidnodetype::main(), nodeappendchildgetnodename::main(), nodeappendchilddocfragment::main(), nodeappendchildchildexists::main(), nodeappendchild::main(), namednodemapwrongdocumenterr::main(), namednodemapsetnameditemwithnewvalue::main(), namednodemapsetnameditemthatexists::main(), namednodemapsetnameditemreturnvalue::main(), namednodemapsetnameditem::main(), namednodemapreturnnull::main(), namednodemapreturnlastitem::main(), namednodemapreturnfirstitem::main(), namednodemapreturnattrnode::main(), namednodemapremovenameditemreturnnodevalue::main(), namednodemapremovenameditemgetvalue::main(), namednodemapremovenameditem::main(), namednodemapnumberofnodes::main(), namednodemapnotfounderr::main(), namednodemapinuseattributeerr::main(), namednodemapgetnameditem::main(), namednodemapchildnoderange::main(), entitygetpublicidnull::main(), entitygetpublicid::main(), entitygetentityname::main(), elementwrongdocumenterr::main(), elementsetattributenomodificationallowederrEE::main(), elementsetattributenomodificationallowederr::main(), elementsetattributenodenull::main(), elementsetattributenodenomodificationallowederrEE::main(), elementsetattributenodenomodificationallowederr::main(), elementretrievetagname::main(), elementretrieveattrvalue::main(), elementretrieveallattributes::main(), elementreplaceexistingattributegevalue::main(), elementreplaceexistingattribute::main(), elementreplaceattributewithself::main(), elementremoveattributerestoredefaultvalue::main(), elementremoveattributenomodificationallowederrEE::main(), elementremoveattributenomodificationallowederr::main(), elementremoveattributenodenomodificationallowederrEE::main(), elementremoveattributenodenomodificationallowederr::main(), elementremoveattributenode::main(), elementremoveattributeaftercreate::main(), elementremoveattribute::main(), elementnotfounderr::main(), elementnormalize::main(), elementinvalidcharacterexception::main(), elementinuseattributeerr::main(), elementgettagname::main(), elementgetelementsbytagnamespecialvalue::main(), elementgetelementsbytagnamenomatch::main(), elementgetelementsbytagnameaccessnodelist::main(), elementgetelementsbytagname::main(), elementgetelementempty::main(), elementgetattributenodenull::main(), elementgetattributenode::main(), elementcreatenewattribute::main(), elementchangeattributevalue::main(), elementassociatedattribute::main(), elementaddnewattribute::main(), domimplementationfeaturexml::main(), domimplementationfeaturenull::main(), domimplementationfeaturenoversion::main(), documenttypegetnotationstype::main(), documenttypegetnotations::main(), documenttypegetentitiestype::main(), documenttypegetentitieslength::main(), documenttypegetentities::main(), documenttypegetdoctype::main(), documentinvalidcharacterexceptioncreatepi::main(), documentinvalidcharacterexceptioncreateentref::main(), documentinvalidcharacterexceptioncreateelement::main(), documentinvalidcharacterexceptioncreateattribute::main(), documentgetrootnode::main(), documentgetimplementation::main(), documentgetelementsbytagnamevalue::main(), documentgetelementsbytagnametotallength::main(), documentgetelementsbytagnamelength::main(), documentgetdoctypenodtd::main(), documentgetdoctype::main(), documentcreatetextnode::main(), documentcreateprocessinginstruction::main(), documentcreateentityreferenceknown::main(), documentcreateentityreference::main(), documentcreateelementdefaultattr::main(), documentcreateelementcasesensitive::main(), documentcreateelement::main(), documentcreatedocumentfragment::main(), documentcreatecomment::main(), documentcreatecdatasection::main(), documentcreateattribute::main(), commentgetcomment::main(), characterdatasubstringvalue::main(), characterdatasubstringexceedsvalue::main(), characterdatasetnodevalue::main(), characterdatasetdatanomodificationallowederrEE::main(), characterdatasetdatanomodificationallowederr::main(), characterdatareplacedatanomodificationallowederrEE::main(), characterdatareplacedatanomodificationallowederr::main(), characterdatareplacedatamiddle::main(), characterdatareplacedataexceedslengthofdata::main(), characterdatareplacedataexceedslengthofarg::main(), characterdatareplacedataend::main(), characterdatareplacedatabegining::main(), characterdatainsertdatanomodificationallowederrEE::main(), characterdatainsertdatanomodificationallowederr::main(), characterdatainsertdatamiddle::main(), characterdatainsertdataend::main(), characterdatainsertdatabeginning::main(), characterdataindexsizeerrsubstringoffsetgreater::main(), characterdataindexsizeerrsubstringnegativeoffset::main(), characterdataindexsizeerrsubstringcountnegative::main(), characterdataindexsizeerrreplacedataoffsetnegative::main(), characterdataindexsizeerrreplacedataoffsetgreater::main(), characterdataindexsizeerrreplacedatacountnegative::main(), characterdataindexsizeerrinsertdataoffsetnegative::main(), characterdataindexsizeerrinsertdataoffsetgreater::main(), characterdataindexsizeerrdeletedataoffsetnegative::main(), characterdataindexsizeerrdeletedataoffsetgreater::main(), characterdataindexsizeerrdeletedatacountnegative::main(), characterdatagetlength::main(), characterdatagetdata::main(), characterdatadeletedatanomodificationallowederrEE::main(), characterdatadeletedatanomodificationallowederr::main(), characterdatadeletedatamiddle::main(), characterdatadeletedatagetlengthanddata::main(), characterdatadeletedataexceedslength::main(), characterdatadeletedataend::main(), characterdatadeletedatabegining::main(), characterdataappenddatanomodificationallowederrEE::main(), characterdataappenddatanomodificationallowederr::main(), characterdataappenddatagetdata::main(), characterdataappenddata::main(), cdatasectionnormalize::main(), cdatasectiongetdata::main(), attrspecifiedvalueremove::main(), attrspecifiedvaluechanged::main(), attrspecifiedvalue::main(), attrsetvaluenomodificationallowederrEE::main(), attrsetvaluenomodificationallowederr::main(), attrprevioussiblingnull::main(), attrparentnodenull::main(), attrnotspecifiedvalue::main(), attrnextsiblingnull::main(), attrname::main(), attrentityreplacement::main(), attreffectivevalue::main(), attrdefaultvalue::main(), attrcreatetextnode2::main(), attrcreatetextnode::main(), and attrcreatedocumentfragment::main().
    00089                                                            {
    00090     //
    00091     //   Attempt to load JUnitRunner
    00092     //
    00093     Class runnerClass = null;
    00094     ClassLoader loader = ClassLoader.getSystemClassLoader();
    00095     Exception classException = null;
    00096     Constructor runnerFactory = null;
    00097     try {
    00098         runnerClass = loader.loadClass("org.w3c.domts.JUnitRunner");
    00099         runnerFactory = runnerClass.getConstructor(new Class[] { Class.class });
    00100     }
    00101     catch(Exception ex) {
    00102         classException = ex;
    00103         try {
    00104             runnerClass = loader.loadClass("org.w3c.domts.AvalonRunner");
    00105             runnerFactory = runnerClass.getConstructor(new Class[] { Class.class });
    00106         }
    00107         catch(Exception ex2) {
    00108             classException = ex2;
    00109         }
    00110     }
    00111     if(runnerClass == null || runnerFactory == null) {
    00112         System.out.println("junit-run.jar amd junit.jar or avalon-run.jar and testlet.jar\n must be in same directory or on classpath.");
    00113         if(classException != null) {
    00114             classException.printStackTrace();
    00115         }
    00116     }
    00117     else {
    00118         try
    00119         {
    00120             //
    00121             //   create the JUnitRunner
    00122             //
    00123             Object junitRun = runnerFactory.newInstance(new Object[] { testClass });
    00124             //
    00125             //   find and call its execute method
    00126             //
    00127             Class argsClass = loader.loadClass("[Ljava.lang.String;");
    00128             Method execMethod = runnerClass.getMethod("execute", new Class[] { argsClass });
    00129             execMethod.invoke(junitRun, new Object[] { args });
    00130         }
    00131         catch(InvocationTargetException ex) {
    00132             ex.getTargetException().printStackTrace();
    00133         }
    00134         catch(Exception ex) {
    00135             ex.printStackTrace();
    00136         }
    00137     }
    00138   }

boolean DOMTestCase::equals | ( | List | expected,
|  | List | actual
| ) | `[inline]`

| Definition at line 281 of file DOMTestCase.java. References DOMTestFramework::equals().
    00281                                                     {
    00282     return framework.equals(expected,actual);
    00283   }

boolean DOMTestCase::equals | ( | Collection | expected,
|  | Collection | actual
| ) | `[inline]`

| Definition at line 277 of file DOMTestCase.java. References DOMTestFramework::equals().
    00277                                                                 {
    00278     return framework.equals(expected,actual);
    00279   }

boolean DOMTestCase::equals | ( | double | expected,
|  | double | actual
| ) | `[inline]`

| Definition at line 273 of file DOMTestCase.java. References DOMTestFramework::equals().
    00273                                                         {
    00274     return framework.equals(expected,actual);
    00275   }

boolean DOMTestCase::equals | ( | int | expected,
|  | int | actual
| ) | `[inline]`

| Definition at line 269 of file DOMTestCase.java. References DOMTestFramework::equals().
    00269                                                   {
    00270     return framework.equals(expected,actual);
    00271   }

boolean DOMTestCase::equals | ( | String | expected,
|  | String | actual
| ) | `[inline]`

| Definition at line 265 of file DOMTestCase.java. References DOMTestFramework::equals(). Referenced by nodecommentnodevalue::runTest(), nodecommentnodetype::runTest(), nodecommentnodename::runTest(), namednodemapreturnlastitem::runTest(), namednodemapreturnfirstitem::runTest(), and commentgetcomment::runTest().
    00265                                                         {
    00266     return framework.equals(expected,actual);
    00267   }

boolean DOMTestCase::equalsIgnoreCase | ( | List | expected,
|  | List | actual
| ) | `[inline]`

| Definition at line 261 of file DOMTestCase.java. References DOMTestFramework::equalsIgnoreCase().
    00261                                                               {
    00262     return framework.equalsIgnoreCase(expected,actual);
    00263   }

boolean DOMTestCase::equalsIgnoreCase | ( | Collection | expected,
|  | Collection | actual
| ) | `[inline]`

| Definition at line 257 of file DOMTestCase.java. References DOMTestFramework::equalsIgnoreCase().
    00257                                                                           {
    00258     return framework.equalsIgnoreCase(expected,actual);
    00259   }

boolean DOMTestCase::equalsIgnoreCase | ( | String | expected,
|  | String | actual
| ) | `[inline]`

| Definition at line 253 of file DOMTestCase.java. References DOMTestFramework::equalsIgnoreCase().
    00253                                                                   {
    00254     return framework.equalsIgnoreCase(expected,actual);
    00255   }

abstract void DOMTestCase::runTest | ( |  | ) | `[pure virtual]`

| Reimplemented in attrcreatedocumentfragment, attrcreatetextnode, attrcreatetextnode2, attrdefaultvalue, attreffectivevalue, attrentityreplacement, attrname, attrnextsiblingnull, attrnotspecifiedvalue, attrparentnodenull, attrprevioussiblingnull, attrsetvaluenomodificationallowederr, attrsetvaluenomodificationallowederrEE, attrspecifiedvalue, attrspecifiedvaluechanged, attrspecifiedvalueremove, cdatasectiongetdata, cdatasectionnormalize, characterdataappenddata, characterdataappenddatagetdata, characterdataappenddatanomodificationallowederr, characterdataappenddatanomodificationallowederrEE, characterdatadeletedatabegining, characterdatadeletedataend, characterdatadeletedataexceedslength, characterdatadeletedatagetlengthanddata, characterdatadeletedatamiddle, characterdatadeletedatanomodificationallowederr, characterdatadeletedatanomodificationallowederrEE, characterdatagetdata, characterdatagetlength, characterdataindexsizeerrdeletedatacountnegative, characterdataindexsizeerrdeletedataoffsetgreater, characterdataindexsizeerrdeletedataoffsetnegative, characterdataindexsizeerrinsertdataoffsetgreater, characterdataindexsizeerrinsertdataoffsetnegative, characterdataindexsizeerrreplacedatacountnegative, characterdataindexsizeerrreplacedataoffsetgreater, characterdataindexsizeerrreplacedataoffsetnegative, characterdataindexsizeerrsubstringcountnegative, characterdataindexsizeerrsubstringnegativeoffset, characterdataindexsizeerrsubstringoffsetgreater, characterdatainsertdatabeginning, characterdatainsertdataend, characterdatainsertdatamiddle, characterdatainsertdatanomodificationallowederr, characterdatainsertdatanomodificationallowederrEE, characterdatareplacedatabegining, characterdatareplacedataend, characterdatareplacedataexceedslengthofarg, characterdatareplacedataexceedslengthofdata, characterdatareplacedatamiddle, characterdatareplacedatanomodificationallowederr, characterdatareplacedatanomodificationallowederrEE, characterdatasetdatanomodificationallowederr, characterdatasetdatanomodificationallowederrEE, characterdatasetnodevalue, characterdatasubstringexceedsvalue, characterdatasubstringvalue, commentgetcomment, documentcreateattribute, documentcreatecdatasection, documentcreatecomment, documentcreatedocumentfragment, documentcreateelement, documentcreateelementcasesensitive, documentcreateelementdefaultattr, documentcreateentityreference, documentcreateentityreferenceknown, documentcreateprocessinginstruction, documentcreatetextnode, documentgetdoctype, documentgetdoctypenodtd, documentgetelementsbytagnamelength, documentgetelementsbytagnametotallength, documentgetelementsbytagnamevalue, documentgetimplementation, documentgetrootnode, documentinvalidcharacterexceptioncreateattribute, documentinvalidcharacterexceptioncreateelement, documentinvalidcharacterexceptioncreateentref, documentinvalidcharacterexceptioncreatepi, documenttypegetdoctype, documenttypegetentities, documenttypegetentitieslength, documenttypegetentitiestype, documenttypegetnotations, documenttypegetnotationstype, domimplementationfeaturenoversion, domimplementationfeaturenull, domimplementationfeaturexml, elementaddnewattribute, elementassociatedattribute, elementchangeattributevalue, elementcreatenewattribute, elementgetattributenode, elementgetattributenodenull, elementgetelementempty, elementgetelementsbytagname, elementgetelementsbytagnameaccessnodelist, elementgetelementsbytagnamenomatch, elementgetelementsbytagnamespecialvalue, elementgettagname, elementinuseattributeerr, elementinvalidcharacterexception, elementnormalize, elementnotfounderr, elementremoveattribute, elementremoveattributeaftercreate, elementremoveattributenode, elementremoveattributenodenomodificationallowederr, elementremoveattributenodenomodificationallowederrEE, elementremoveattributenomodificationallowederr, elementremoveattributenomodificationallowederrEE, elementremoveattributerestoredefaultvalue, elementreplaceattributewithself, elementreplaceexistingattribute, elementreplaceexistingattributegevalue, elementretrieveallattributes, elementretrieveattrvalue, elementretrievetagname, elementsetattributenodenomodificationallowederr, elementsetattributenodenomodificationallowederrEE, elementsetattributenodenull, elementsetattributenomodificationallowederr, elementsetattributenomodificationallowederrEE, elementwrongdocumenterr, entitygetentityname, entitygetpublicid, entitygetpublicidnull, namednodemapchildnoderange, namednodemapgetnameditem, namednodemapinuseattributeerr, namednodemapnotfounderr, namednodemapnumberofnodes, namednodemapremovenameditem, namednodemapremovenameditemgetvalue, namednodemapremovenameditemreturnnodevalue, namednodemapreturnattrnode, namednodemapreturnfirstitem, namednodemapreturnlastitem, namednodemapreturnnull, namednodemapsetnameditem, namednodemapsetnameditemreturnvalue, namednodemapsetnameditemthatexists, namednodemapsetnameditemwithnewvalue, namednodemapwrongdocumenterr, nodeappendchild, nodeappendchildchildexists, nodeappendchilddocfragment, nodeappendchildgetnodename, nodeappendchildinvalidnodetype, nodeappendchildnewchilddiffdocument, nodeappendchildnodeancestor, nodeappendchildnomodificationallowederr, nodeappendchildnomodificationallowederrEE, nodeattributenodeattribute, nodeattributenodename, nodeattributenodetype, nodeattributenodevalue, nodecdatasectionnodeattribute, nodecdatasectionnodename, nodecdatasectionnodetype, nodecdatasectionnodevalue, nodechildnodes, nodechildnodesappendchild, nodechildnodesempty, nodecloneattributescopied, nodeclonefalsenocopytext, nodeclonegetparentnull, nodeclonenodefalse, nodeclonenodetrue, nodeclonetruecopytext, nodecommentnodeattributes, nodecommentnodename, nodecommentnodetype, nodecommentnodevalue, nodedocumentfragmentnodename, nodedocumentfragmentnodetype, nodedocumentfragmentnodevalue, nodedocumentnodeattribute, nodedocumentnodename, nodedocumentnodetype, nodedocumentnodevalue, nodedocumenttypenodename, nodedocumenttypenodetype, nodedocumenttypenodevalue, nodeelementnodeattributes, nodeelementnodename, nodeelementnodetype, nodeelementnodevalue, nodeentitynodeattributes, nodeentitynodename, nodeentitynodetype, nodeentitynodevalue, nodeentityreferencenodeattributes, nodeentityreferencenodename, nodeentityreferencenodetype, nodeentityreferencenodevalue, nodeentitysetnodevalue, nodegetfirstchild, nodegetfirstchildnull, nodegetlastchild, nodegetlastchildnull, nodegetnextsibling, nodegetnextsiblingnull, nodegetownerdocument, nodegetownerdocumentnull, nodegetprevioussibling, nodegetprevioussiblingnull, nodehaschildnodes, nodehaschildnodesfalse, nodeinsertbefore, nodeinsertbeforedocfragment, nodeinsertbeforeinvalidnodetype, nodeinsertbeforenewchilddiffdocument, nodeinsertbeforenewchildexists, nodeinsertbeforenodeancestor, nodeinsertbeforenodename, nodeinsertbeforenomodificationallowederr, nodeinsertbeforenomodificationallowederrEE, nodeinsertbeforerefchildnonexistent, nodeinsertbeforerefchildnull, nodelistindexequalzero, nodelistindexgetlength, nodelistindexgetlengthofemptylist, nodelistindexnotzero, nodelistreturnfirstitem, nodelistreturnlastitem, nodelisttraverselist, nodenotationnodeattributes, nodenotationnodename, nodenotationnodetype, nodenotationnodevalue, nodeparentnode, nodeparentnodenull, nodeprocessinginstructionnodeattributes, nodeprocessinginstructionnodename, nodeprocessinginstructionnodetype, nodeprocessinginstructionnodevalue, nodeprocessinginstructionsetnodevalue, noderemovechild, noderemovechildgetnodename, noderemovechildnode, noderemovechildnomodificationallowederr, noderemovechildnomodificationallowederrEE, noderemovechildoldchildnonexistent, nodereplacechild, nodereplacechildinvalidnodetype, nodereplacechildnewchilddiffdocument, nodereplacechildnewchildexists, nodereplacechildnodeancestor, nodereplacechildnodename, nodereplacechildnomodificationallowederr, nodereplacechildnomodificationallowederrEE, nodereplacechildoldchildnonexistent, nodesetnodevaluenomodificationallowederr, nodesetnodevaluenomodificationallowederrEE, nodetextnodeattribute, nodetextnodename, nodetextnodetype, nodetextnodevalue, nodevalue01, nodevalue02, nodevalue03, nodevalue04, nodevalue05, nodevalue06, nodevalue07, nodevalue08, nodevalue09, notationgetnotationname, notationgetpublicid, notationgetpublicidnull, notationgetsystemid, notationgetsystemidnull, processinginstructiongetdata, processinginstructiongettarget, processinginstructionsetdatanomodificationallowederr, processinginstructionsetdatanomodificationallowederrEE, textindexsizeerrnegativeoffset, textindexsizeerroffsetoutofbounds, textparseintolistofelements, textsplittextfour, textsplittextnomodificationallowederr, textsplittextnomodificationallowederrEE, textsplittextone, textsplittextthree, textsplittexttwo, and textwithnomarkup.

boolean DOMTestCase::same | ( | Object | expected,
|  | Object | actual
| ) | `[inline]`

| Definition at line 249 of file DOMTestCase.java. References DOMTestFramework::same().
    00249                                                       {
    00250     return framework.same(expected,actual);
    00251   }

void DOMTestCase::setFramework | ( | DOMTestFramework | framework | ) | `[inline]`

| Definition at line 143 of file DOMTestCase.java.
    00143                                                        {
    00144     this.framework = framework;
    00145   }

int DOMTestCase::size | ( | NodeList | collection | ) | `[inline]`

| Definition at line 293 of file DOMTestCase.java. References DOMTestFramework::size().
    00293                                        {
    00294     return framework.size(collection);
    00295   }

int DOMTestCase::size | ( | NamedNodeMap | collection | ) | `[inline]`

| Definition at line 289 of file DOMTestCase.java. References DOMTestFramework::size().
    00289                                            {
    00290     return framework.size(collection);
    00291   }

int DOMTestCase::size | ( | Collection | collection | ) | `[inline]`

| Definition at line 285 of file DOMTestCase.java. References DOMTestFramework::size().
    00285                                          {
    00286     return framework.size(collection);
    00287   }

void DOMTestCase::wait | ( | int | millisecond | ) | `[inline]`

| Definition at line 149 of file DOMTestCase.java. References DOMTestFramework::wait().
    00149                                     {
    00150     framework.wait(millisecond);
    00151   }

The documentation for this class was generated from the following file:

- DOMTestCase.java